# Source code for azure.mgmt.resource.policy.v2016_04_01._policy_client

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.service_client import SDKClient
    from msrest import Serializer, Deserializer

    from ._configuration import PolicyClientConfiguration
    from .operations import PolicyAssignmentsOperations
    from .operations import PolicyDefinitionsOperations
    from . import models

    class PolicyClient(SDKClient):
        """To manage and control access to your resources, you can define customized policies and assign them at a scope.

        :ivar config: Configuration for client.
        :vartype config: PolicyClientConfiguration

        :ivar policy_assignments: PolicyAssignments operations
        :vartype policy_assignments: azure.mgmt.resource.policy.v2016_04_01.operations.PolicyAssignmentsOperations
        :ivar policy_definitions: PolicyDefinitions operations
        :vartype policy_definitions: azure.mgmt.resource.policy.v2016_04_01.operations.PolicyDefinitionsOperations

        :param credentials: Credentials needed for the client to connect to Azure.
        :type credentials: :mod:`A msrestazure Credentials
         object<msrestazure.azure_active_directory>`
        :param subscription_id: The ID of the target subscription.
        :type subscription_id: str
        :param str base_url: Service URL
        """

        def __init__(
                self, credentials, subscription_id, base_url=None):

            self.config = PolicyClientConfiguration(credentials, subscription_id, base_url)
            super(PolicyClient, self).__init__(self.config.credentials, self.config)

            client_models = {k: v for k, v in models.__dict__.items() if isinstance(v, type)}
            self.api_version = '2016-04-01'
            self._serialize = Serializer(client_models)
            self._deserialize = Deserializer(client_models)

            self.policy_assignments = PolicyAssignmentsOperations(
                self._client, self.config, self._serialize, self._deserialize)
            self.policy_definitions = PolicyDefinitionsOperations(
                self._client, self.config, self._serialize, self._deserialize)